Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059039 - phc2sys: -S -F option document improvement
Summary: phc2sys: -S -F option document improvement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: linuxptp
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Jimmy Pan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 03:38 UTC by Jimmy Pan
Modified: 2015-07-20 00:55 UTC (History)
2 users (show)

Fixed In Version: linuxptp-1.4-1.20140718gitbdb6a3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:04:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0397 normal SHIPPED_LIVE linuxptp bug fix and enhancement update 2015-03-05 14:00:38 UTC

Description Jimmy Pan 2014-01-29 03:38:03 UTC
Description of problem:

As we can see in man phc2sys:

-S step
      Specify  the  step threshold of the PI controller. It is the maximum offset that the controller corrects
      by changing the clock frequency instead of stepping the clock. The clock is stepped on start  regardless
      of  the option if the offset is larger than 100 nanoseconds (unless the -F option is used). The value of
      0.0 disables stepping after the start. The default is 0.0.


The unit of the step parameter is not clear.

Same for the -F option

Version-Release number of selected component (if applicable):

1.3

Comment 2 Miroslav Lichvar 2014-04-15 13:05:07 UTC
In upstream git this is fixed by commit 661639420ccd459216cb7154101492eedeeb8142.

Comment 6 errata-xmlrpc 2015-03-05 09:04:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0397.html


Note You need to log in before you can comment on or make changes to this bug.